/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2024/2/20
 */
package org.ts.ddcs.common.util;

import java.util.Random;
import java.util.UUID;

/***
 * Date:2024/2/20
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class ToolUtil {
    public static int hexStrToInt(String hex) {
        return Integer.valueOf(hex, 16);
    }

    public static String getRootPath(Object mainClass) {
        String path = mainClass.getClass().getProtectionDomain().getCodeSource().getLocation().getPath();
        if (System.getProperty("os.name").contains("dows")) {
            path = path.substring(1, path.length());
        }
        if (path.contains("jar")) {
            path = path.substring(0, path.lastIndexOf("."));
            return path.substring(0, path.lastIndexOf("/"));
        }
        return path.replace("target/classes/", "");
    }


    /**
     * 返回长度为【strLength】的随机数，在前面补0
     *
     * @param strLength 长度
     * @return 随机数
     */
    public static String getFixLengthString(int strLength) {
        Random rm = new Random();
        // 获得随机数
        double pross = (1 + rm.nextDouble()) * Math.pow(10, strLength);
        // 将获得的获得随机数转化为字符串
        String fixLengthString = String.valueOf(pross);
        // 返回固定的长度的随机数
        return fixLengthString.substring(1, strLength + 1);
    }


    public static String randomUUID() {
        return UUID.randomUUID().toString().replace("-", "").toLowerCase();
    }
}
